/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID    , COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR );
	// 項目長設定
	setMaxLength(PRM_PLT_T_ID      , LEN_CODE_ID);
	setMaxLength(PRM_TXT_T_CODE    , LEN_CODE   );
	setMaxLength(PRM_TXT_T_NAME    , LEN_NAME   );
	setMaxLength(PRM_TXT_VIEW_INDEX, LEN_INDEX  );
	// 登録/更新判定
	if (MODE == 0) {
		// 読取専用設定
		setReadOnly(PRM_PLT_DELETE  , true);
		// フォーカス設定
		setFocus(PRM_PLT_T_ID);
	} else if (MODE == 1) {
		// 読取専用設定
		setReadOnly(PRM_PLT_T_ID  , true);
		setReadOnly(PRM_TXT_T_CODE, true);
		// フォーカス設定
		setFocus(PRM_TXT_T_NAME);
	}
	
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		if (MODE == 0) {
			doSubmitMessage(objForm, 'S2007', 'QC0001', '');
		} else if (MODE == 1) {
			doSubmitMessage(objForm, 'S2008', 'QC0001', '');
		}
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	checkRequired(PRM_PLT_T_ID      , NAM_CODE_ID, aryMessage);
	checkRequired(PRM_TXT_T_CODE    , NAM_CODE   , aryMessage);
	checkRequired(PRM_TXT_T_NAME    , NAM_NAME   , aryMessage);
	checkRequired(PRM_PLT_DELETE    , NAM_DELETE , aryMessage);
	checkCode    (PRM_PLT_T_ID      , NAM_CODE_ID, aryMessage);
	checkCode    (PRM_TXT_T_CODE    , NAM_CODE   , aryMessage);
	checkNumber  (PRM_TXT_VIEW_INDEX, NAM_INDEX  , aryMessage);
	checkNumber  (PRM_PLT_DELETE    , NAM_DELETE , aryMessage);
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
}
